import { Loading as a } from "./accelbyte-widgets136.mjs";
import { Ctx as o } from "./accelbyte-widgets33.mjs";
import { GlobalPath as r } from "./accelbyte-widgets104.mjs";
import t from "react";
import { Trans as n } from "react-i18next";
class u extends t.Component {
  constructor(e) {
    super(e), this.appState = o.getAppState();
  }
  async componentDidMount() {
    this.appState.getUser() ? await this.appState.logout() : this.appState.state.appHistory.replace(r.Home.link);
  }
  render() {
    return /* @__PURE__ */ t.createElement("div", { className: "mainPageContainer" }, /* @__PURE__ */ t.createElement(a, null, /* @__PURE__ */ t.createElement("strong", null, /* @__PURE__ */ t.createElement(n, { i18nKey: "LogoutPage.loading" }, "Logging you out..."))));
  }
}
export {
  u as default
};
